<template>
  <el-bus-crud v-bind="tableConfig"/>
</template>

<script>
export default {
  data() {
    return {
      tableConfig: {
        url: 'flower/v2/config-param/config/list',
        newUrl: 'flower/v2/config-param/new',
        editUrl: 'flower/v2/config-param/edit',
        deleteUrl: 'flower/v2/config-param/delete',
        columns: [
          {label: '序号', type: 'index'},
          {label: '变量分组名', prop: 'paramGroupName'},
          {label: '变量名', prop: 'paramName'},
          {label: '变量键', prop: 'paramKey'},
          {label: '变量值', prop: 'paramValue'},
          {label: '变量规则', prop: 'paramPlaceholder'},
          {label: '变量提示', prop: 'paramTip'},
          {label: '变量排序号', prop: 'paramOrder'},
          {label: '变量值类型', prop: 'paramValueType'},
          {label: '变量字典', prop: 'paramDict'},
          {label: '控件类型', prop: 'paramControlType'},
          {label: '是否是必填', prop: 'paramRequire'},
          {label: '参数限制数量', prop: 'paramLimit'},
        ],

        searchForm: [
          {
            type: 'row',
            items: [
              {label: '变量分组名：', id: 'paramGroupName', type: 'input'}],
          },
        ],
        form: [
          {
            label: '变量分组名：',
            id: 'paramGroupId',
            type: 'bus-select',
            el: {
              interfaceUri: 'flower/v2/config-param-group/group/list',
              props: {
                label: 'paramGroupName',
                value: 'id',
                dataPath: 'records',
              },
              extraQuery: {
                current: 1,
                size: 2000,
              },
              filterable: true,
              style: 'width:100%',
            },
            rules: { required: true, message: '请选择变量分组' },
          },
          {
            label: '变量名：',
            id: 'paramName',
            type: 'input',
            rules: {required: true, message: '请输入变量名'},
          },
          {
            label: '变量键',
            id: 'paramKey',
            type: 'input',
            rules: {required: true, message: '请输入变量键'},
          },
          {
            label: '变量值',
            id: 'paramValue',
            type: 'input',
            rules: {required: true, message: '请输入变量值'},
          },
          {
            label: '变量规则',
            id: 'paramPlaceholder',
            type: 'input',
            rules: {required: true, message: '请输入变量规则'},
          },{
            label: '变量提示',
            id: 'paramTip',
            type: 'input',
            rules: {required: true, message: '请输入变量提示'},
          },
          {
            label: '变量排序号',
            id: 'paramOrder',
            type: 'input',
            rules: {
              required: true,
              pattern: /^\d+$/,
              message: '请输入变量排序号，只允许非负整数'},
          },
          {
            label: '变量值类型',
            id: 'paramValueType',
            type: 'input',
          },{
            label: '变量字典',
            id: 'paramDict',
            type: 'input',
          },
          {
            label: '控件类型',
            id: 'paramControlType',
            type: 'bus-select-dict',
            el: {
              code: 'PARAM_CONTROL_TYPE',
              style: 'width:100%',
            },
            rules: {required: true, message: '请输入控件类型'},
          },
          {
            label: '是否是必填',
            id: 'paramRequire',
            type: 'bus-select-dict',
            el: {
              code: 'IS_REQUIRED',
              style: 'width:100%',
            },
            rules: {required: true, message: '请输入是否是必填'},
          },
          {
            label: '参数限制数量',
            id: 'paramLimit',
            type: 'input',
            rules: {required: true, message: '请输入参数限制数量'},
          },


        ],
      },
    }
  },
  head() {
    return {
      title: '配置系统参数',
    }
  },
}
</script>
